Friday, May 6, 2011

Coreutil Upgraded

It's not a security fix, but there's one package being upgraded in -Current branch only, which is safe to be backported to 13.37 as at this time, Slackware 13.37 is still in the same level as -Current as it hasn't changed it's basic toolchain.

You might wonder, why an upgrade to this package? Well, someone on LQ reported that the current version of coreutil included in Slackware 13.37 will have a problem if it's being used in Linux Kernel 2.6.38.x and future 2.6.39.x series. Eventually it wasn't included in -Current at that time, but probably Pat decided to upgrade this once 13.37 is released and he just did.

The release notes of Coreutil can be seen at Savannah Server of GNU